import { SchematicContext, Tree } from '@angular-devkit/schematics';
import { ClassChanges, OutputChanges, SelectorChange, SelectorChanges } from './schema';
export declare class UpdateChanges {
    private rootPath;
    private host;
    private context;
    protected sourcePaths: string[];
    protected classChanges: ClassChanges;
    protected outputChanges: OutputChanges;
    protected selectorChanges: SelectorChanges;
    private _templateFiles;
    readonly templateFiles: string[];
    private _tsFiles;
    readonly tsFiles: string[];
    /**
     * Create a new base schematic to apply changes
     * @param rootPath Root folder for the schematic to read configs, pass __dirname
     */
    constructor(rootPath: string, host: Tree, context?: SchematicContext);
    /** Apply configured changes to the Host Tree */
    applyChanges(): void;
    protected updateSelectors(entryPath: string): void;
    protected applySelectorChange(fileContent: string, change: SelectorChange): string;
    protected updateClasses(entryPath: string): void;
    protected updateOutputs(entryPath: string): void;
    private sourceDirsVisitor(visitor);
}
